
void leadBlock(string part = "gamma", double vetocut = 0) 
{
    TFile fON(Form("leadBlock_ON_%s.root", part.c_str()),"READ");
    TTree *TON = (TTree*)fON.Get("Detector");

    TFile fOFF(Form("leadBlock_OFF_%s.root", part.c_str()),"READ");
    TTree *TOFF = (TTree*)fOFF.Get("Detector");

    //open the output file. Becomes the current dir.
    //Newly created histograms will be automatically added to it
    TFile f("test.root","RECREATE");

    TCut veto(Form("EDepVeto <= %f", vetocut));

    TH1F * hON = new TH1F("hON","hON", 150, 0, 15000);
    TH1F * hOFF = new TH1F("hOFF","hOFF", 150, 0, 15000);

    TON->Draw("EDepSignal>>hON", veto);
    TOFF->Draw("EDepSignal>>hOFF", veto);

    hON->SetLineColor(2);
    hON->Draw();    
    
    hOFF->SetLineColor(4);
    hOFF->Draw("same");

    f.Write();
    f.Close();
}
